• Русский
  • GrafanaDashboard [ait.alauda.io/v1beta1]

    Description
    GrafanaDashboard is the Schema for the grafanadashboards API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    GrafanaDashboardSpec defines the desired state of GrafanaDashboard

    statusobject

    GrafanaDashboardStatus defines the observed state of GrafanaDashboard

    .spec

    Description
    GrafanaDashboardSpec defines the desired state of GrafanaDashboard
    Type
    object
    Required
    folderjson
    PropertyTypeDescription
    folderstring

    Folder is an folder title for GrafanaDashboard. Edit GrafanaDashboard_types.go to remove/update

    jsonstring

    Json is an json content for GrafanaDashboard. Edit GrafanaDashboard_types.go to remove/update

    .status

    Description
    GrafanaDashboardStatus defines the observed state of GrafanaDashboard
    Type
    object
    PropertyTypeDescription
    conditionsarray

    INSERT ADDITIONAL STATUS FIELD - define observed state of cluster Important: Run "make" to regenerate code after modifying this file

    .status.conditions

    Description
    INSERT ADDITIONAL STATUS FIELD - define observed state of cluster Important: Run "make" to regenerate code after modifying this file
    Type
    array

    .status.conditions[]

    Description
    GrafanaDashboardCondition contains condition information for a grafana dashboard object.
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    destMD5string

    DestMD5 is md5 for content in grafana

    lastTransitionTimestring

    Last time the condition transit from one status to another.

    messagestring

    Human readable message indicating details about last transition.

    reasonstring

    Brief reason for the condition's last transition.

    specMD5string

    SpecMD5 is md5 for spec field in grafana dashboard instance

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of grafana dashboard condition.

    API Endpoints

    The following API endpoints are available:

    • /apis/ait.alauda.io/v1beta1/namespaces/{namespace}/grafanadashboards
      • DELETE: delete collection of GrafanaDashboard
      • GET: list objects of kind GrafanaDashboard
      • POST: create a new GrafanaDashboard
    • /apis/ait.alauda.io/v1beta1/namespaces/{namespace}/grafanadashboards/{name}
      • DELETE: delete the specified GrafanaDashboard
      • GET: read the specified GrafanaDashboard
      • PATCH: partially update the specified GrafanaDashboard
      • PUT: replace the specified GrafanaDashboard
    • /apis/ait.alauda.io/v1beta1/namespaces/{namespace}/grafanadashboards/{name}/status
      • GET: read status of the specified GrafanaDashboard
      • PATCH: partially update status of the specified GrafanaDashboard
      • PUT: replace status of the specified GrafanaDashboard

    /apis/ait.alauda.io/v1beta1/namespaces/{namespace}/grafanadashboards

    HTTP method
    DELETE
    Description
    delete collection of GrafanaDashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind GrafanaDashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKGrafanaDashboardList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new GrafanaDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyGrafanaDashboard schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKGrafanaDashboard schema
    201 - CreatedGrafanaDashboard schema
    202 - AcceptedGrafanaDashboard schema
    401 - UnauthorizedEmpty

    /apis/ait.alauda.io/v1beta1/namespaces/{namespace}/grafanadashboards/{name}

    HTTP method
    DELETE
    Description
    delete the specified GrafanaDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified GrafanaDashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKGrafanaDashboard schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified GrafanaDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKGrafanaDashboard schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified GrafanaDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyGrafanaDashboard schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKGrafanaDashboard schema
    201 - CreatedGrafanaDashboard schema
    401 - UnauthorizedEmpty

    /apis/ait.alauda.io/v1beta1/namespaces/{namespace}/grafanadashboards/{name}/status

    HTTP method
    GET
    Description
    read status of the specified GrafanaDashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKGrafanaDashboard schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified GrafanaDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKGrafanaDashboard schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified GrafanaDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyGrafanaDashboard schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKGrafanaDashboard schema
    201 - CreatedGrafanaDashboard schema
    401 - UnauthorizedEmpty